Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.routing
Class RequestRouteRow

    java.lang.Object
      rice.pastry.messaging.Message
          rice.pastry.messaging.PRawMessage
              rice.pastry.routing.RequestRouteRow

All Implemented Interfaces:
  java.io.Serializable, Message, RawMessage, RawSerializable

    public class RequestRouteRow

extends PRawMessage
implements java.io.Serializable

Request a row from the routing table from another node.

Version:
  $Id: RequestRouteRow.java 3613 2007-02-15 14:45:14Z jstewart $
Author:
  Andrew Ladd
See Also:
  Serialized Form

Field Summary
`static short` | `TYPE`

Fields inherited from class rice.pastry.messaging.Message
`DEFAULT_PRIORITY_LEVEL`

Fields inherited from interface rice.p2p.commonapi.Message
`DEFAULT_PRIORITY, HIGH_PRIORITY, LOW_PRIORITY, LOWEST_PRIORITY, MAX_PRIORITY, MEDIUM_HIGH_PRIORITY, MEDIUM_LOW_PRIORITY, MEDIUM_PRIORITY`

Constructor Summary
`RequestRouteRow(java.util.Date stamp, NodeHandle nh, short r)` Constructor.
`RequestRouteRow(NodeHandle sender, InputBuffer buf)`
`RequestRouteRow(NodeHandle nh, short r)` Constructor.

Method Summary
`short` | `getRow()` Gets the row that made the request.
`short` | `getType()` Raw Serialization
`NodeHandle` | `returnHandle()` The return handle for the message
`void` | `serialize(OutputBuffer buf)`
`java.lang.String` | `toString()`

Methods inherited from class rice.pastry.messaging.Message
`getDate, getDestination, getPriority, getSender, getSenderId, setPriority, setSender, stamp`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface rice.p2p.commonapi.Message
`getPriority`

Field Detail

### TYPE

    public static final short TYPE

See Also:
  Constant Field Values

Constructor Detail

### RequestRouteRow

    public RequestRouteRow(NodeHandle nh,
                           short r)

  Constructor.

  Parameters:
    `nh` - the return handle.
    `r` - which row

### RequestRouteRow

    public RequestRouteRow(java.util.Date stamp,
                           NodeHandle nh,
                           short r)

  Constructor.

  Parameters:
    `stamp` - the timestamp
    `nh` - the return handle
    `r` - which row

### RequestRouteRow

    public RequestRouteRow(NodeHandle sender,
                           InputBuffer buf)
                    throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### returnHandle

    public NodeHandle returnHandle()

  The return handle for the message

  Returns:
    the node handle

### getRow

    public short getRow()

  Gets the row that made the request.

  Returns:
    the row.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getType

    public short getType()

  Raw Serialization

  Specified by:
    `getType` in interface `RawMessage`

### serialize

    public void serialize(OutputBuffer buf)
                   throws java.io.IOException

  Specified by:
    `serialize` in interface `RawSerializable`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.